> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Expense

> Delete an expense entry. Attached files are also removed.



## OpenAPI

````yaml /openapi.json delete /expenses/{expense_id}
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /expenses/{expense_id}:
    delete:
      tags:
        - Expenses
      summary: Delete Expense
      description: Delete an expense entry. Attached files are also removed.
      operationId: deleteExpense
      parameters:
        - name: expense_id
          in: path
          required: true
          description: Expense ID
          schema:
            type: number
            example: 7810
      responses:
        '204':
          description: No Content
        '401':
          description: Unauthorized
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````